The Spectrum OneClick jnlp thick client does not launch with java jre 8 on NetOps 22.2.7 and above
search cancel

The Spectrum OneClick jnlp thick client does not launch with java jre 8 on NetOps 22.2.7 and above

book

Article ID: 277962

calendar_today

Updated On:

Products

DX NetOps CA Spectrum

Issue/Introduction

Netops 22.2.7 and above is no longer offering support of Java 8 

In March of 2022, Oracle stopped offering premier support for Java 8
In NetOps version 22.2.7 (and later) Broadcom stopped supporting Java 8 and started supporting java 11.
Broadcom is not supporting Java 9 in NetOps.

When launching the Spectrum OneClick.jnlp using java 8, an error message shows noting that the minimum version of java is not installed.

 

Environment

NetOps Fault Spectrum 22.2.7 and higher

Cause

Java JRE 8 is no longer supported.  Java 11 is now required.

Resolution

Download/install the OpenJdk package provided with your Spectrum install.  

https://techdocs.broadcom.com/us/en/ca-enterprise-software/it-operations-management/spectrum/22-2/installing-and-upgrading/fresh-install/system-requirements-for-installing-ca-spectrum/spectroserver-and-oneclick-requirements/install-jre.html#concept.dita_cf837344910b9f05afcf4110bac856fbb614f5cf_div_2 

Oracle has deprecated JavaWS (Web Start) in Java 9 and above. In order to launch the OneClick.jnlp file a web start application is needed.

Download and install a Web Start application.  Broadcom recommends using the provided OpenWebStart application to launch the OneClick thick client on java 11.  This is outlined in the documentation link above.

For customers that are not able to download/install java 11, Broadcom provides the WebApp as an alternative solution:

https://techdocs.broadcom.com/us/en/ca-enterprise-software/it-operations-management/spectrum/22-2/managing-client-applications/oneclick-webapp.html